/* === This file is part of Calamares - <http://github.com/calamares> ===
 *
 *   Copyright 2015, Teo Mrnjavac <teo@kde.org>
 *
 *   Calamares is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Calamares is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Calamares. If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0;
import calamares.slideshow 1.0;

Presentation
{
    id: presentation

    Timer {
        interval: 60000
        running: true
        repeat: true
        onTriggered: presentation.goToNextSlide()
    }

    Slide {
        Image {
            id: background01
            source: "background.jpg"
            width: 1920; height: 1200
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Image {
            id: background1
            source: "desktop-kde-300x225.jpg"
            width: 300; height: 225
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Text {
            anchors.horizontalCenter: background1.horizontalCenter
            anchors.top: parent.top
            text: "<h2>" + qsTr("Thanks for choosing openmamba!") + "</h2><br/><br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
        Text {
            anchors.horizontalCenter: background1.horizontalCenter
            anchors.top: background1.bottom
            text: "<br/><b>" + qsTr("openmamba with KDE Plasma") + "</b><br/><br/>" +
                  qsTr("The most evolved and complete desktop system of openmamba, KDE Plasma based.") + "<br/>"+
                  qsTr("For every user who wants a modern, multimedia and productive desktop.") + "<br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
    }

    Slide {
        Image {
            id: background02
            source: "background.jpg"
            width: 1920; height: 1200
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Image {
            id: background2
            source: "desktop-lxde-300x225.jpg"
            width: 300; height: 225
            fillMode: Image.PreserveAspectFit
            anchors.centerIn: parent
        }
        Text {
            anchors.horizontalCenter: background2.horizontalCenter
            anchors.top: parent.top
            text: "<h2>" + qsTr("Thanks for choosing openmamba!") + "</h2><br/><br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
        Text {
            anchors.horizontalCenter: background2.horizontalCenter
            anchors.top: background2.bottom
            text: "<br/><b>" + qsTr("openmamba with LXDE") + "</b><br/><br/>" +
                  qsTr("openmamba system with a simple and light desktop.") + "<br/>" +
                  qsTr("For server installation or desktop on obsolete PC, embedded systems, tablet, single-board PC.") + "<br/>"
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.Center
        }
    }

}
